com.ibm.openpages.api.workflow

## Enum WFConditionAttribute

- java.lang.Object
- - java.lang.Enum<WFConditionAttribute>
  - - com.ibm.openpages.api.workflow.WFConditionAttribute

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<WFConditionAttribute>

      public enum WFConditionAttribute
      extends java.lang.Enum<WFConditionAttribute>

  Represents the type of the workflow Condition attributes

  Since:
    8.0.0.2

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `activityAssigneeId` Represents Assignee ID
    `activityDueDate` Represents Activity Due Date
    `activityLabel` Represents Activity Label.
    `activityName` Represents Activity System Name.
    `activityStartDate` Represents Activity Start Date
    `activityState` Represents Activity State.
    `activitySubscriberId` Represents Subscriber ID
    `contentTypeId` Represents Content type ID
    `isAutomated` Represents Process Definition isAutomated
    `isDisabled` Represents Process Definition isDisabled
    `name` Represents name
    `processCriticality` Represents Process Criticality
    `processDefinitionLabel` Represents Process Definition Label
    `processDefinitionName` Represents Process Definition System Name
    `processDueDate` Represents Process Due Date
    `processInstanceId` Represents Process Instance ID
    `processOwnerId` Represents Process Owner Id
    `processStartDate` Represents Process Start Date
    `processState` Represents Process State
    `processType` Represents Process Type
    `resourceId` Represents ResourceID.
    `type` Represents Process Definition type.
    `wfProcessDefinitionId` Represents Process Definition ID
    `wfProcessDefinitionVerId` Represents Process Definition Version ID

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isSortableAttribute()`
    `boolean` | `isWFActivityInstanceAttribute()`
    `boolean` | `isWFProcessDefinitionAttribute()`
    `static WFConditionAttribute` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static WFConditionAttribute[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### name

          public static final WFConditionAttribute name

      Represents name

    - #### type

          public static final WFConditionAttribute type

      Represents Process Definition type.

    - #### contentTypeId

          public static final WFConditionAttribute contentTypeId

      Represents Content type ID

    - #### isDisabled

          public static final WFConditionAttribute isDisabled

      Represents Process Definition isDisabled

    - #### resourceId

          public static final WFConditionAttribute resourceId

      Represents ResourceID.

    - #### activityName

          public static final WFConditionAttribute activityName

      Represents Activity System Name.

    - #### activityLabel

          public static final WFConditionAttribute activityLabel

      Represents Activity Label.

    - #### activityState

          public static final WFConditionAttribute activityState

      Represents Activity State.

    - #### activityStartDate

          public static final WFConditionAttribute activityStartDate

      Represents Activity Start Date

    - #### activityDueDate

          public static final WFConditionAttribute activityDueDate

      Represents Activity Due Date

    - #### processInstanceId

          public static final WFConditionAttribute processInstanceId

      Represents Process Instance ID

    - #### processDefinitionName

          public static final WFConditionAttribute processDefinitionName

      Represents Process Definition System Name

    - #### processDefinitionLabel

          public static final WFConditionAttribute processDefinitionLabel

      Represents Process Definition Label

    - #### wfProcessDefinitionId

          public static final WFConditionAttribute wfProcessDefinitionId

      Represents Process Definition ID

    - #### wfProcessDefinitionVerId

          public static final WFConditionAttribute wfProcessDefinitionVerId

      Represents Process Definition Version ID

    - #### processState

          public static final WFConditionAttribute processState

      Represents Process State

    - #### processType

          public static final WFConditionAttribute processType

      Represents Process Type

    - #### processStartDate

          public static final WFConditionAttribute processStartDate

      Represents Process Start Date

    - #### processDueDate

          public static final WFConditionAttribute processDueDate

      Represents Process Due Date

    - #### processCriticality

          public static final WFConditionAttribute processCriticality

      Represents Process Criticality

    - #### processOwnerId

          public static final WFConditionAttribute processOwnerId

      Represents Process Owner Id

    - #### activityAssigneeId

          public static final WFConditionAttribute activityAssigneeId

      Represents Assignee ID

    - #### activitySubscriberId

          public static final WFConditionAttribute activitySubscriberId

      Represents Subscriber ID

    - #### isAutomated

          public static final WFConditionAttribute isAutomated

      Represents Process Definition isAutomated

  - ### Method Detail

    - #### values

          public static WFConditionAttribute[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WFConditionAttribute c : WFConditionAttribute.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WFConditionAttribute valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isWFProcessDefinitionAttribute

          public boolean isWFProcessDefinitionAttribute()

    - #### isWFActivityInstanceAttribute

          public boolean isWFActivityInstanceAttribute()

    - #### isSortableAttribute

          public boolean isSortableAttribute()

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.